<html>
<head>
<title>OGRE: Ogre::StaticGeometry::OptimisedSubMeshGeometry Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1StaticGeometry.html">StaticGeometry</a>::<a class="el" href="classOgre_1_1StaticGeometry_1_1OptimisedSubMeshGeometry.html">OptimisedSubMeshGeometry</a></div>
<h1>Ogre::StaticGeometry::OptimisedSubMeshGeometry Class Reference</h1><!-- doxytag: class="Ogre::StaticGeometry::OptimisedSubMeshGeometry" -->Struct holding geometry optimised per <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> / lod level, ready for copying to instances.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1StaticGeometry_1_1OptimisedSubMeshGeometry-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1OptimisedSubMeshGeometry.html#d74c3d8bc57c3902ad3f1be62fc552fd">OptimisedSubMeshGeometry</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1OptimisedSubMeshGeometry.html#37aaec0b804ce2f86a6e3646524a517f">~OptimisedSubMeshGeometry</a> ()</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1OptimisedSubMeshGeometry.html#8c758564b40d121b4ec99c1e31dc04b3">vertexData</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1IndexData.html">IndexData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1OptimisedSubMeshGeometry.html#fee0d52be974cc287c49c1988ca570aa">indexData</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct holding geometry optimised per <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> / lod level, ready for copying to instances. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Since we're going to be duplicating geometry lots of times, it's far more important that we don't have redundant vertex data. If a <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> uses shared geometry, or we're looking at a lower LOD, not all the vertices are being referenced by faces on that submesh. Therefore to duplicate them, potentially hundreds or even thousands of times, would be extremely wasteful. Therefore, if a <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> at a given LOD has wastage, we create an optimised version of it's geometry which is ready for copying with no wastage. </dd></dl>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00128">128</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="d74c3d8bc57c3902ad3f1be62fc552fd"></a><!-- doxytag: member="Ogre::StaticGeometry::OptimisedSubMeshGeometry::OptimisedSubMeshGeometry" ref="d74c3d8bc57c3902ad3f1be62fc552fd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::StaticGeometry::OptimisedSubMeshGeometry::OptimisedSubMeshGeometry           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00131">131</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="37aaec0b804ce2f86a6e3646524a517f"></a><!-- doxytag: member="Ogre::StaticGeometry::OptimisedSubMeshGeometry::~OptimisedSubMeshGeometry" ref="37aaec0b804ce2f86a6e3646524a517f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::StaticGeometry::OptimisedSubMeshGeometry::~OptimisedSubMeshGeometry           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00132">132</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="8c758564b40d121b4ec99c1e31dc04b3"></a><!-- doxytag: member="Ogre::StaticGeometry::OptimisedSubMeshGeometry::vertexData" ref="8c758564b40d121b4ec99c1e31dc04b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1OptimisedSubMeshGeometry.html#8c758564b40d121b4ec99c1e31dc04b3">Ogre::StaticGeometry::OptimisedSubMeshGeometry::vertexData</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00137">137</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fee0d52be974cc287c49c1988ca570aa"></a><!-- doxytag: member="Ogre::StaticGeometry::OptimisedSubMeshGeometry::indexData" ref="fee0d52be974cc287c49c1988ca570aa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1IndexData.html">IndexData</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1OptimisedSubMeshGeometry.html#fee0d52be974cc287c49c1988ca570aa">Ogre::StaticGeometry::OptimisedSubMeshGeometry::indexData</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00138">138</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:08 2008
</p>
</body>
</html>
